PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package generator
  Definition Classes
    serverobject
- Generator
- GeneratorControl
- GeneratorDefinition

c

net.psforever.objects.serverobject.generator

# Generator

###
Companion object Generator

#### class Generator extends Amenity

The generator is a big feature of all major facilities. It takes nanites from the NTU Silo and transforms it into power for the other amenities in the facility as well as distributing nanites for self-repair mechanisms. The only exception (in that the "exception" is something that does not require the generator to power it) is the capture console / control console. The generator is capable of self-repair from a completely destroyed state, as long as it has an supply of nanites.

Source
  Generator.scala

Linear Supertypes
Amenity, StandardResistanceProfile, ResistanceProfile, Vitality, VitalsHistory, PlanetSideServerObject, ZoneAware, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Generator
2. Amenity
3. StandardResistanceProfile
4. ResistanceProfile
5. Vitality
6. VitalsHistory
7. PlanetSideServerObject
8. ZoneAware
9. FactionAffinity
10. PlanetSideGameObject
11. WorldEntity
12. IdentifiableEntity
13. Identifiable
14. AnyRef
15. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Generator(gdef: GeneratorDefinition)

   gdef

     the `ObjectDefinition` that constructs this object and maintains some of its immutable fields

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Actor: ActorRef

   Retrieve a reference to the internal `Actor`.

   Retrieve a reference to the internal `Actor`.

   returns

     the internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
5.  def Actor_=(control: ActorRef): ActorRef

   Assign an `Actor` to act for this server object.

   Assign an `Actor` to act for this server object. This reference is only set once, that is, as long as the internal `ActorRef` directs to `ActorRef.noSender` (`null`).

   control

     the `Actor` whose functionality will govern this server object

   returns

     the current internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
6.  def CanDamage: Boolean
   Definition Classes
     Vitality
7.  def CanRepair: Boolean
   Definition Classes
     Vitality
8.  def ClearHistory(): List[VitalsActivity]
   Definition Classes
     VitalsHistory
9.  def Condition: types.PlanetSideGeneratorState.Value
10.  def Condition_=(state: types.PlanetSideGeneratorState.Value): types.PlanetSideGeneratorState.Value
11.  def Continent: String
    Definition Classes
      ZoneAware
12.  def Continent_=(zoneId: String): String

    Give the entity a custom `Zone` identifier.

    Give the entity a custom `Zone` identifier.

    zoneId

      the custom identifier of the `Zone` object

    returns

      the identifier of the `Zone` object

    Definition Classes
      ZoneAware
13.  def DamageModel: DamageAndResistance
    Definition Classes
      Amenity → Vitality
14.  def DefaultHealth: Int
    Definition Classes
      Vitality
15.  def Definition: GeneratorDefinition
    Definition Classes
      Generator → Amenity → Vitality → PlanetSideGameObject
16.  def Destroyed: Boolean
    Definition Classes
      PlanetSideGameObject
17.  def Destroyed_=(state: Boolean): Boolean
    Definition Classes
      Generator → PlanetSideGameObject
18.  def Entity: WorldEntity
    Definition Classes
      PlanetSideGameObject
19.  def Entity_=(newEntity: WorldEntity): Unit
    Definition Classes
      PlanetSideGameObject
20.  def Faction: types.PlanetSideEmpire.Value
    Definition Classes
      Amenity → FactionAffinity
21.  def Faction_=(fac: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      FactionAffinity
22.  def GUID: PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
23.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
24.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

25.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      IdentifiableEntity
26.  def Health: Int
    Definition Classes
      Vitality
27.  def Health_=(assignHealth: Int): Int
    Definition Classes
      Vitality
28.  def History(result: DamageResult): List[VitalsActivity]

    Very common example of a `VitalsActivity` event involving damage.

    Very common example of a `VitalsActivity` event involving damage.

    result

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
29.  def History(action: Option[VitalsActivity]): List[VitalsActivity]

    A `VitalsActivity` event must be recorded.

    A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

    action

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
30.  def History(action: VitalsActivity): List[VitalsActivity]

    A `VitalsActivity` event must be recorded.

    A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

    action

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
31.  def History: List[VitalsActivity]
    Definition Classes
      VitalsHistory
32.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      IdentifiableEntity
33.  def LastDamage: Option[DamageResult]
    Definition Classes
      VitalsHistory
34.  def LastShot: Option[DamageResult]

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    returns

      information about the discharge

    Definition Classes
      VitalsHistory
35.  def LocationOffset: Vector3
    Definition Classes
      Amenity
36.  def LocationOffset_=(off: Option[Vector3]): Vector3
    Definition Classes
      Amenity
37.  def LocationOffset_=(off: Vector3): Vector3
    Definition Classes
      Amenity
38.  def MaxHealth: Int
    Definition Classes
      Vitality
39.  def MaxHealth_=(default: Option[Int]): Int
    Definition Classes
      Vitality
40.  def MaxHealth_=(default: Int): Int
    Definition Classes
      Vitality
41.  def Orientation: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
42.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
43.  def Owner: AmenityOwner

    Reference the object that is in direct association with (is superior to) this one.

    Reference the object that is in direct association with (is superior to) this one.

    returns

      the object associated as this object's "owner"

    Definition Classes
      Amenity
44.  def Owner_=(obj: AmenityOwner): AmenityOwner

    Set an object to have a direct association with (be superior to) this one.

    Set an object to have a direct association with (be superior to) this one.

    obj

      the object trying to become associated as this object's "owner"

    returns

      the object associated as this object's "owner"

    Definition Classes
      Amenity
    See also

      `Amenity.AmenityTarget`

45.  def Position: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
46.  def Position_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
47.  def RadiationShielding: Float
    Definition Classes
      StandardResistanceProfile → ResistanceProfile
48.  def ResetControl(): ActorRef
    Definition Classes
      PlanetSideServerObject
49.  def Resist(dtype: vital.base.DamageType.Value): Float
    Definition Classes
      ResistanceProfile
50.  def ResistanceAggravated: Int
    Definition Classes
      StandardResistanceProfile → ResistanceProfile
51.  def ResistanceDirectHit: Int
    Definition Classes
      StandardResistanceProfile → ResistanceProfile
52.  def ResistanceSplash: Int
    Definition Classes
      StandardResistanceProfile → ResistanceProfile
53.  def Subtract: DamageProfile
    Definition Classes
      StandardResistanceProfile → ResistanceProfile
54.  def Velocity: Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
55.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
56.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
57.  def Zone: Zone
    Definition Classes
      Amenity → ZoneAware
58.  def Zone_=(zone: Zone): Zone

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    zone

      a reference to the `Zone` object

    returns

      a reference to the `Zone` object

    Definition Classes
      ZoneAware
59.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
60.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
61.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
62.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
63.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
64.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
65.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
66.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
67.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
68.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
69.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
70.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
71.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
72.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
73.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
74.  def toString(): String
    Definition Classes
      AnyRef → Any
75.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
76.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
77.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Amenity

### Inherited from StandardResistanceProfile

### Inherited from ResistanceProfile

### Inherited from Vitality

### Inherited from VitalsHistory

### Inherited from PlanetSideServerObject

### Inherited from ZoneAware

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped